For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet a list of alert rules
      • POSTCreate an alert rule
      • GETGet an alert rule by its ID
      • DELDelete an alert rule
      • PATCHUpdate an alert rule
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIAlert Rules

Create an alert rule

POST
/v:version/alert-rules
POST
/v:version/alert-rules
$curl -X POST https://test.api.solvimon.com/v1/alert-rules \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "reference": "alert-rule_alert-on-usage-of-api",
> "type": "ENTITLEMENT",
> "name": "Alert on usage of API",
> "description": "Alert that triggers when a certain usage is reached",
> "status": "ACTIVE",
> "customer_ids": [
> "cust_wwDv860tLDrVV8BteA1p"
> ],
> "entitlement": {
> "comparator": "EQUALS",
> "threshold": {
> "number": "1000"
> }
> }
>}'
1{
2 "object_type": "string",
3 "id": "string",
4 "reference": "string",
5 "name": "string",
6 "description": "string",
7 "status": "DRAFT",
8 "customer_ids": [
9 "string"
10 ],
11 "customers": [
12 {
13 "object_type": "string",
14 "id": "string",
15 "created_at": "string",
16 "parent_customer_id": "string",
17 "parent_customer_ids": [
18 "string"
19 ],
20 "reference": "string",
21 "status": "DRAFT",
22 "timezone": "string",
23 "type": "ORGANIZATION",
24 "email": "string",
25 "notification_preferences": [
26 {
27 "type": "INVOICE",
28 "channels": [
29 {
30 "type": "EMAIL",
31 "enabled": true
32 }
33 ]
34 }
35 ],
36 "locale": "string",
37 "individual": {
38 "name": {
39 "first_name": "string",
40 "last_name": "string",
41 "infix": "string"
42 },
43 "residential_address": {
44 "line1": "string",
45 "line2": "string",
46 "city": "string",
47 "postal_code": "string",
48 "state": "string",
49 "country": "AD"
50 }
51 },
52 "organization": {
53 "legal_name": "string",
54 "tax_id": "string",
55 "tax_ids": [
56 {
57 "id": "string",
58 "type": "GENERIC_TAX_ID",
59 "display_name": "string",
60 "tax_id_validation_result": {
61 "id": "string",
62 "validation_date": "string",
63 "source": "string",
64 "valid": "VALID",
65 "message": "string"
66 }
67 }
68 ],
69 "registration_number": "string",
70 "tax_exempt": true,
71 "tax_exempt_note": "string",
72 "registered_address": {
73 "line1": "string",
74 "line2": "string",
75 "city": "string",
76 "postal_code": "string",
77 "state": "string",
78 "country": "AD"
79 },
80 "tax_registrations": [
81 {
82 "id": "string",
83 "description": "string",
84 "tax_id": "string",
85 "tax_ids": [
86 {
87 "id": "string",
88 "type": "GENERIC_TAX_ID",
89 "display_name": "string",
90 "tax_id_validation_result": {
91 "id": "string",
92 "validation_date": "string",
93 "source": "string",
94 "valid": "VALID",
95 "message": "string"
96 }
97 }
98 ],
99 "registration_number": "string",
100 "registered_address": {
101 "line1": "string",
102 "line2": "string",
103 "city": "string",
104 "postal_code": "string",
105 "state": "string",
106 "country": "AD"
107 }
108 }
109 ]
110 },
111 "custom_fields": [
112 {
113 "id": "string",
114 "reference": "string",
115 "value": "string",
116 "values": [
117 "string"
118 ],
119 "integration_details": {
120 "id": "string",
121 "reference": "string",
122 "payment_gateway_variant": "ADYEN",
123 "adyen": {
124 "recurring_detail_reference": "string"
125 },
126 "stripe": {
127 "payment_method_id": "string"
128 }
129 }
130 }
131 ],
132 "processing_only": true,
133 "pricing_plan_subscription_selector": {
134 "data": [
135 {
136 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
137 "value": "string"
138 }
139 ],
140 "rules": [
141 {
142 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
143 "type": "EQUALS"
144 }
145 ],
146 "filters": [
147 {
148 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
149 "type": "EQUALS",
150 "value": "string"
151 }
152 ],
153 "fallback": "LATEST"
154 },
155 "linked_integrations": [
156 {
157 "id": "string",
158 "link_details": [
159 {
160 "url": "string",
161 "custom_field_name": "string"
162 }
163 ]
164 }
165 ],
166 "roles": [
167 "DEFAULT"
168 ],
169 "seller_details": {
170 "default_billing_entity_id": "string"
171 }
172 }
173 ],
174 "type": "ENTITLEMENT",
175 "trigger_type": "STATIC",
176 "entitlement": {
177 "feature_id": "string",
178 "feature": {
179 "object_type": "string",
180 "id": "string",
181 "reference": "string",
182 "name": "string",
183 "description": "string",
184 "type": "SWITCH",
185 "enum_values": [
186 "string"
187 ],
188 "meter_value_calculation_id": "string",
189 "meter_value_calculation": {
190 "object_type": "string",
191 "id": "string",
192 "reference": "string",
193 "name": "string",
194 "description": "string",
195 "calculation_type": "SUM",
196 "persist": true,
197 "meter_id": "string",
198 "meter": {
199 "object_type": "string",
200 "id": "string",
201 "reference": "string",
202 "name": "string",
203 "description": "string",
204 "status": "DRAFT",
205 "meter_values": [
206 {
207 "id": "string",
208 "object": {
209 "object_type": "string",
210 "id": "string",
211 "reference": "string",
212 "name": "string",
213 "description": "string",
214 "status": "DRAFT",
215 "type": "NUMBER"
216 },
217 "required": true
218 }
219 ],
220 "meter_properties": [
221 {
222 "id": "string",
223 "object": {
224 "object_type": "string",
225 "id": "string",
226 "reference": "string",
227 "name": "string",
228 "description": "string",
229 "status": "DRAFT",
230 "type": "NUMBER",
231 "enum_values": [
232 "string"
233 ]
234 },
235 "required": true
236 }
237 ]
238 },
239 "meter_value_id": "string",
240 "meter_value": {
241 "object_type": "string",
242 "id": "string",
243 "reference": "string",
244 "name": "string",
245 "description": "string",
246 "status": "DRAFT",
247 "type": "NUMBER"
248 },
249 "meter_property_id": "string",
250 "meter_property": {
251 "object_type": "string",
252 "id": "string",
253 "reference": "string",
254 "name": "string",
255 "description": "string",
256 "status": "DRAFT",
257 "type": "NUMBER",
258 "enum_values": [
259 "string"
260 ]
261 }
262 }
263 },
264 "comparator": "EQUALS",
265 "threshold": {
266 "number": "string",
267 "percentage": "string",
268 "amount": {
269 "quantity": "string",
270 "currency": "AED"
271 }
272 }
273 },
274 "invoice": {
275 "variant": "OVERDUE",
276 "overdue": {
277 "comparator": "EQUALS",
278 "threshold": {
279 "type": "DAY",
280 "value": 1
281 }
282 }
283 }
284}

Requires the ALERT_RULE.CREATE permission.

Was this page helpful?
Previous

Get an alert rule by its ID

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
referencestringRequiredformat: "^\S+$"0-256 characters
A custom reference assigned to the alert.
typeenum or nullRequired
The type of the the alert.
Allowed values:
namestring or nullOptionalformat: "^.*$"0-256 characters
A custom name assigned to the alert.
descriptionstring or nullOptionalformat: "^.*$"0-256 characters
statusenum or nullOptional
The status of the AlertRule. DEPRECATED is not supported.
Allowed values:
customer_idslist of strings or nullOptional
The IDs of the customers linked to the alert.
trigger_typeenum or nullOptional
Allowed values:
entitlementobjectOptional
The specification of the entitlement for the alert, can only be specified when type is ENTITLEMENT
invoiceobjectOptional
The specification of the invoice for the alert, can only be specified when type is INVOICE

Response

Created
object_typestring or nullRead-only
idstring or nullRead-only
referencestringformat: "^\S+$"0-256 characters
A custom reference assigned to the alert.
namestring or nullformat: "^.*$"0-256 characters
A custom name assigned to the alert.
descriptionstring or nullformat: "^.*$"0-256 characters
statusenum or null
The status of the AlertRule. DEPRECATED is not supported.
Allowed values:
customer_idslist of strings or null
The IDs of the customers linked to the alert.
customerslist of objects or nullRead-only
typeenum or null
The type of the the alert.
Allowed values:
trigger_typeenum or null
Allowed values:
entitlementobject
The specification of the entitlement for the alert, can only be specified when type is ENTITLEMENT
invoiceobject
The specification of the invoice for the alert, can only be specified when type is INVOICE

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error